UPDATE: net/gajim

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

UPDATE: net/gajim

Ingo Feinerer-2
Hi,

update Gajim to 1.1.3 (bugfix release).

Change log: https://dev.gajim.org/gajim/gajim/blob/gajim-1.1.3/ChangeLog

Works for me on amd64.

OK?

Index: Makefile
===================================================================
RCS file: /cvs/ports/net/gajim/Makefile,v
retrieving revision 1.86
diff -u -p -r1.86 Makefile
--- Makefile 28 Apr 2019 20:51:43 -0000 1.86
+++ Makefile 5 May 2019 07:54:21 -0000
@@ -1,10 +1,9 @@
 # $OpenBSD: Makefile,v 1.86 2019/04/28 20:51:43 sthen Exp $
 
 COMMENT= jabber client written in pygtk
-MODPY_EGG_VERSION= 1.1.2
+MODPY_EGG_VERSION= 1.1.3
 DISTNAME= gajim-${MODPY_EGG_VERSION}
 CATEGORIES= net x11
-REVISION= 0
 
 HOMEPAGE= https://www.gajim.org
 
Index: distinfo
===================================================================
RCS file: /cvs/ports/net/gajim/distinfo,v
retrieving revision 1.29
diff -u -p -r1.29 distinfo
--- distinfo 30 Jan 2019 17:09:17 -0000 1.29
+++ distinfo 5 May 2019 07:54:21 -0000
@@ -1,2 +1,2 @@
-SHA256 (gajim-1.1.2.tar.gz) = UgQV3qZWyi2pM4/0pW9UeoEIQkWuL6nphj9EQP/Cx1Q=
-SIZE (gajim-1.1.2.tar.gz) = 9531233
+SHA256 (gajim-1.1.3.tar.gz) = Zc2kdLSkO4l/wyXghmEWa6BUOWov8UC9p/HKqs/W++c=
+SIZE (gajim-1.1.3.tar.gz) = 9544171

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: net/gajim

Paco Esteban
On Sun, 05 May 2019, Ingo Feinerer wrote:

> Hi,
>
> update Gajim to 1.1.3 (bugfix release).
>
> Change log: https://dev.gajim.org/gajim/gajim/blob/gajim-1.1.3/ChangeLog
>
> Works for me on amd64.
>
> OK?

After applying your patch and updating I get:

No translations found
Dirs searched: [PosixPath('/usr/local/share'), PosixPath('/usr/share')]
Gajim needs python-nbxmpp >= 0.6.10 to run. Quitting...

maybe I'm doing something wrong ?

Cheers,

--
Paco Esteban.
https://onna.be/gpgkey.asc
9A6B 6083 AD9E FDC2 0EAF  5CB3 5818 130B 8A6D BC03

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: net/gajim

Ingo Feinerer-2
On Fri, May 10, 2019 at 10:17:28AM +0200, Paco Esteban wrote:

> On Sun, 05 May 2019, Ingo Feinerer wrote:
>
> > Hi,
> >
> > update Gajim to 1.1.3 (bugfix release).
> >
> > Change log: https://dev.gajim.org/gajim/gajim/blob/gajim-1.1.3/ChangeLog
> >
> > Works for me on amd64.
> >
> > OK?
>
> After applying your patch and updating I get:
>
> No translations found
> Dirs searched: [PosixPath('/usr/local/share'), PosixPath('/usr/share')]
> Gajim needs python-nbxmpp >= 0.6.10 to run. Quitting...
>
> maybe I'm doing something wrong ?

You need the py-nbxmpp update as well:
https://marc.info/?l=openbsd-ports&m=155704320901616&w=2

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: net/gajim

Landry Breuil-5
On Fri, May 10, 2019 at 10:24:23AM +0200, Ingo Feinerer wrote:

> On Fri, May 10, 2019 at 10:17:28AM +0200, Paco Esteban wrote:
> > On Sun, 05 May 2019, Ingo Feinerer wrote:
> >
> > > Hi,
> > >
> > > update Gajim to 1.1.3 (bugfix release).
> > >
> > > Change log: https://dev.gajim.org/gajim/gajim/blob/gajim-1.1.3/ChangeLog
> > >
> > > Works for me on amd64.
> > >
> > > OK?
> >
> > After applying your patch and updating I get:
> >
> > No translations found
> > Dirs searched: [PosixPath('/usr/local/share'), PosixPath('/usr/share')]
> > Gajim needs python-nbxmpp >= 0.6.10 to run. Quitting...
> >
> > maybe I'm doing something wrong ?
>
> You need the py-nbxmpp update as well:
> https://marc.info/?l=openbsd-ports&m=155704320901616&w=2

Well then the diff should say so and enforce the version dependency in
the Makefile..

Landry

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: net/gajim

Paco Esteban
In reply to this post by Ingo Feinerer-2
Hi,

On Fri, 10 May 2019, Ingo Feinerer wrote:

> You need the py-nbxmpp update as well:
> https://marc.info/?l=openbsd-ports&m=155704320901616&w=2

Works now after installing py-nbxmpp. I had to force FLAVOR=python3 for
it. For some reason it was only building the py- version instead of the
py3- version.

OMEMO is not working and crashes when trying to re-install it, but I
guess that's a totally different can of worms. I'll try to report the
bug upstream.

Cheers,

--
Paco Esteban.
https://onna.be/gpgkey.asc
9A6B 6083 AD9E FDC2 0EAF  5CB3 5818 130B 8A6D BC03

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: net/gajim

Ingo Feinerer-2
In reply to this post by Ingo Feinerer-2
On Fri, May 10, 2019 at 10:24:23AM +0200, Ingo Feinerer wrote:

> On Fri, May 10, 2019 at 10:17:28AM +0200, Paco Esteban wrote:
> > On Sun, 05 May 2019, Ingo Feinerer wrote:
> > > update Gajim to 1.1.3 (bugfix release).
> > >
> > > Change log: https://dev.gajim.org/gajim/gajim/blob/gajim-1.1.3/ChangeLog
> > >
> > > Works for me on amd64.
> > >
> > > OK?
> >
> > After applying your patch and updating I get:
> >
> > No translations found
> > Dirs searched: [PosixPath('/usr/local/share'), PosixPath('/usr/share')]
> > Gajim needs python-nbxmpp >= 0.6.10 to run. Quitting...
> >
> > maybe I'm doing something wrong ?
>
> You need the py-nbxmpp update as well:
> https://marc.info/?l=openbsd-ports&m=155704320901616&w=2

Updated diff with explicit requirement on 0.6.10 (already in ports
tree). Also adapt PERMIT_PACKAGE at the same time.

OK?

Index: Makefile
===================================================================
RCS file: /cvs/ports/net/gajim/Makefile,v
retrieving revision 1.87
diff -u -p -r1.87 Makefile
--- Makefile 20 May 2019 22:15:19 -0000 1.87
+++ Makefile 16 Jun 2019 06:06:44 -0000
@@ -1,10 +1,9 @@
 # $OpenBSD: Makefile,v 1.87 2019/05/20 22:15:19 naddy Exp $
 
 COMMENT= jabber client written in pygtk
-MODPY_EGG_VERSION= 1.1.2
+MODPY_EGG_VERSION= 1.1.3
 DISTNAME= gajim-${MODPY_EGG_VERSION}
 CATEGORIES= net x11
-REVISION= 0
 
 HOMEPAGE= https://www.gajim.org
 
@@ -13,7 +12,7 @@ MAINTAINER= Pierre-Emmanuel Andre <pea@o
 MASTER_SITES= ${HOMEPAGE}/downloads/1.1/
 
 # GPLv3 only
-PERMIT_PACKAGE_CDROM= Yes
+PERMIT_PACKAGE= Yes
 
 MODULES= lang/python
 MODPY_VERSION= ${MODPY_DEFAULT_VERSION_3}
@@ -24,7 +23,7 @@ BUILD_DEPENDS= devel/gettext,-tools
 RUN_DEPENDS= devel/desktop-file-utils \
  graphics/py-Pillow${MODPY_FLAVOR} \
  graphics/py-cairo${MODPY_FLAVOR} \
- net/py-nbxmpp${MODPY_FLAVOR} \
+ net/py-nbxmpp${MODPY_FLAVOR}>=0.6.10 \
  security/py-cryptodome${MODPY_FLAVOR} \
  security/py-gnupg${MODPY_FLAVOR} \
  security/py-keyring${MODPY_FLAVOR} \
Index: distinfo
===================================================================
RCS file: /cvs/ports/net/gajim/distinfo,v
retrieving revision 1.29
diff -u -p -r1.29 distinfo
--- distinfo 30 Jan 2019 17:09:17 -0000 1.29
+++ distinfo 16 Jun 2019 06:06:44 -0000
@@ -1,2 +1,2 @@
-SHA256 (gajim-1.1.2.tar.gz) = UgQV3qZWyi2pM4/0pW9UeoEIQkWuL6nphj9EQP/Cx1Q=
-SIZE (gajim-1.1.2.tar.gz) = 9531233
+SHA256 (gajim-1.1.3.tar.gz) = Zc2kdLSkO4l/wyXghmEWa6BUOWov8UC9p/HKqs/W++c=
+SIZE (gajim-1.1.3.tar.gz) = 9544171

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: net/gajim

kmos
On Sun, Jun 16, 2019 at 08:15:26AM +0200, Ingo Feinerer wrote:

> > You need the py-nbxmpp update as well:
> > https://marc.info/?l=openbsd-ports&m=155704320901616&w=2

> Updated diff with explicit requirement on 0.6.10 (already in ports
> tree). Also adapt PERMIT_PACKAGE at the same time.

> OK?

Looks OK to me and runs here on amd64.

OK kmos

--Kurt